%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define unstable 0
%define _optlevel s
%if %unstable
%define _optlevel 0
%endif

%define qtruby_docdir %_docdir/ruby-qt-%version
%define korundum_docdir %_docdir/ruby-korundum-%version

Name: kdebindings
Version: 3.5.10
Release: alt2

Summary: bindings to KDE libraries for various programming languages 
Group: Graphical desktop/KDE
URL: http://www.kde.org
License: GPLv2 LGPL

Requires: perl-DCOP = %version-%release
Requires: ruby-qt = %version-%release
Requires: ruby-korundum = %version-%release
Requires: kjsembed = %version-%release


Source0: %name-%version.tar

Patch0: kdebindings-3.5.5-alt-link_fix.patch
Patch3: kdebindings-3.5.10-alt-qtruby-const-char.patch
Patch4: kdebindings-3.5.10-alt-automake.patch
Patch5: kdebindings-3.5.10-alt-ruby-getopts.patch
Patch6: kdebindings-3.5.10-alt-ruby-paths.patch
Patch7: kdebindings-3.5.10-alt-ruby-compile.patch

# Ubuntu patches
Patch21: 028-make-cmdline.js-executable.diff
Patch22: 032_fix-kjscmd-manpage-typo

BuildRequires(pre): kdelibs-devel
BuildRequires: kdebase-devel libstdc++-devel gcc-c++ libjpeg-devel perl-devel
BuildRequires: xml-utils ruby libssl-devel libruby-devel

%description
This is the KDE bindings package.

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.5
#
%description common
Common empty package for %name

%package devel
Summary: Devel stuff for kdepim
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: kdelibs-devel >= %{get_version kdelibs-devel}
Requires: ruby-qt-doc = %version-%release
Requires: ruby-qt-devel = %version-%release
Requires: ruby-korundum-doc = %version-%release
Requires: kjsembed-devel = %version-%release
%description devel
Development files and headers for %name
%description devel -l ru_RU.UTF-8
Файлы для разработки приложений с %name

%package -n perl-DCOP
Summary: Perl module for DCOP
Summary(ru_RU.UTF-8): Модуль Perl для DCOP
Group: Development/Perl
Requires: %name-common = %version-%release
%description -n perl-DCOP
Perl module which allows to create DCOP clients and servers.
DCOP is a KDE protocol for programmatic access to
applications data and methods
%description -l ru_RU.UTF-8
Модуль Perl, позволяющий создавать клиентские и серверные приложения
DCOP. DCOP - это используемый в KDE протокол для программного доступа
к данным и методам приложений

%package -n ruby-qt
Summary: Qt bindings for Ruby
Summary(ru_RU.UTF-8): Расширение Ruby для использования библиотеки Qt
Group: Development/Ruby
Requires: %{get_dep libqt3}
Requires: %name-common = %version-%release
Provides: ruby-module-qt = %version-%release
Obsoletes: ruby-module-qt < %version-%release
%description -n ruby-qt
This package contains Ruby modules and service programs to create
applications with Qt GUI.
%description -n ruby-qt -l ru_RU.UTF-8
Данный пакет содержит модули языка Ruby и вспомогательные приложения,
которые позволяют создавать на Ruby приложения с графическим
интерфейсом, построенным на Qt.

%package -n ruby-qt-doc
Summary: Documentation and examples for Qt Ruby bindings
Summary(ru_RU.UTF-8): Документация и примеры к расширению Qt для Ruby
Group: Development/Ruby
Requires: %name-common = %version-%release
Provides: ruby-module-qt-doc = %version-%release
Obsoletes: ruby-module-qt-doc < %version-%release
%description -n ruby-qt-doc
Documentation and examples for Qt Ruby bindings
%description -n ruby-qt-doc -l ru_RU.UTF-8
Документация и примеры к расширению Qt для Ruby

%package -n ruby-qt-devel
Summary: Development files for ruby-qt
Group: Development/Ruby
#Requires: ruby-qt = %version-%release
Requires: %name-common = %version-%release
Provides: ruby-module-qt-devel = %version-%release
Obsoletes: ruby-module-qt-devel < %version-%release
%description -n ruby-qt-devel
This package contains utility files for ruby-qt package
%description -n ruby-qt-devel -l ru_RU.UTF-8
Этот пакет содержит утилиты для пакета ruby-qt

%package -n ruby-korundum
Summary: KDE bindings for Ruby
Summary(ru_RU.UTF-8): Расширение Ruby для использования библиотек KDE
Provides: korundum = %version-%release
Group: Development/Ruby
Requires: kdelibs >= %{get_version kdelibs}
Requires: %name-common = %version-%release
Provides: ruby-module-korundum = %version-%release
Obsoletes: ruby-module-korundum < %version-%release
%description -n ruby-korundum
This package contains Ruby modules and service programs to create
applications built upon KDE interface and technologies.
with KDE GUI.
%description -n ruby-korundum -l ru_RU.UTF-8
Данный пакет содержит модули языка Ruby и вспомогательные приложения,
которые позволяют создавать на Ruby приложения с использованием интерфейса
и технологий среды KDE.

%package -n ruby-korundum-doc
Summary: Documentation and examples for Korundum
Summary(ru_RU.UTF-8): Документация и примеры для Korundum
Provides: korundum = %version-%release
Group: Development/Ruby
Requires: %name-common = %version-%release
Provides: ruby-module-korundum-doc = %version-%release
Obsoletes: ruby-module-korundum-doc < %version-%release
%description -n ruby-korundum-doc
Documentation and examples for Korundum
%description -n ruby-korundum -l ru_RU.UTF-8
Документация и примеры для Korundum

%package -n kjsembed-devel
Summary: Development files and headers for kjsembed
Summary(ru_RU.UTF-8): Заголовочные и другие файлы для разработки приложений с kjsembed
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description -n kjsembed-devel
Development files and headers for kjsembed
%description -n kjsembed-devel -l ru_RU.UTF-8
Заголовочные и другие файлы для разработки приложений с kjsembed

%package -n kjsembed
Summary: KJS Javascript command line interpreter and utilities
Summary(ru_RU.UTF-8): Интерпретатор Javascript KJS и вспомогательные приложения
Group: Graphical desktop/KDE
Requires: kdelibs >= %{get_version kdelibs}
Requires: %name-common = %version-%release
Provides: libkjsembed = %version-%release
Obsoletes: libkjsembed < %version-%release
%description -n kjsembed
KJS Javascript command line interpreter and utilities
%description -n kjsembed -l ru_RU.UTF-8
Интерпретатор Javascript KJS (версия для командной строки) и вспомогательные
приложения.

%prep
%setup -q

%patch21 -p1
%patch22 -p1

# Apply local patches after Ubuntu
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%if %_keep_libtool_files
for f in `find $PWD -type f -name Makefile.am`
do
    grep -q LDFLAGS $f || continue
    RPATH_LINK_OPTS="$RPATH_LINK_OPTS -Wl,-rpath-link,`dirname $f`/.libs"
done
sed -i "s|\(-Wl,--as-needed\)| $RPATH_LINK_OPTS \1|g" admin/acinclude.m4.in
%else
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/\1 -Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
subst "s/\-lDCOP/-lDCOP -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdefx/-lkdefx -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdecore/-lkdecore -lpthread/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%_qt3dir
export KDEDIR=%prefix
export DO_NOT_COMPILE="python dcoppython kdejava"
%configure \
    --prefix=%prefix \
    --sysconfdir=%_sysconfdir \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-qt-embedded \
    --disable-palm-top \
    --disable-rpath \
    --with-gnu-ld \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch \
    --enable-dependency-tracking \
    --with-xinerama \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --program-transform-name=""

%make

%install
%if %unstable
%set_strip_method none
%endif
%make DESTDIR=%buildroot INSTALLDIRS=vendor install

mkdir -p %buildroot/%qtruby_docdir

cp -pr qtruby/{AUTHORS,ChangeLog,README,README.1st} %buildroot/%qtruby_docdir/
cp -pr qtruby/rubylib/tutorial %buildroot/%qtruby_docdir/
cp -pr qtruby/rubylib/examples %buildroot/%qtruby_docdir/
cp -pr qtruby/rubylib/designer/examples %buildroot/%qtruby_docdir/designer_examples

mkdir -p %buildroot/%korundum_docdir
cp -pr korundum/{AUTHORS,ChangeLog,README,TODO} %buildroot%korundum_docdir
cp -pr korundum/rubylib/{tutorials,examples,templates} %buildroot%korundum_docdir
mkdir -p %buildroot/%korundum_docdir/rbkconfig_compiler
cp -pr korundum/rubylib/rbkconfig_compiler/{autoexample.rb,exampleprefs_base.kcfgc,kcfg.xsd,example.rb,myoptions_base.ui,TODO,example.kcfg,general_base.ui,README.dox} \
	%buildroot/%korundum_docdir/rbkconfig_compiler


%files
%files common
%files devel

%files -n perl-DCOP
# doc files

%perl_vendor_archlib/DCOP*
%perl_vendor_autolib/DCOP
%perl_vendor_man3dir/DCOP.*

%files -n ruby-qt
%docdir %qtruby_docdir
%qtruby_docdir/AUTHORS
%qtruby_docdir/ChangeLog
%qtruby_docdir/README
%qtruby_docdir/README.1st
%_bindir/rbuic
%_bindir/rbqtsh
%_bindir/rbqtapi
%_bindir/qtrubyinit
%_libdir/libsmokeqt.so.*
%ruby_sitearchdir/qtruby.so*
%ruby_sitearchdir/qui.so*
%ruby_sitelibdir/Qt*

%files -n ruby-qt-doc
%docdir %qtruby_docdir
%qtruby_docdir/tutorial
%qtruby_docdir/examples
%qtruby_docdir/designer_examples


%files -n ruby-qt-devel
%_includedir/smoke.h
%_libdir/libsmokeqt.so
%if %_keep_libtool_files
%_libdir/libsmokeqt.la
%endif

%files -n ruby-korundum
%docdir %korundum_docdir
%korundum_docdir/AUTHORS
%korundum_docdir/ChangeLog
%korundum_docdir/README
%korundum_docdir/TODO

%_bindir/rbkdesh
%_bindir/rbkdeapi
%_bindir/rbkconfig_compiler
%_bindir/krubyinit
%_libdir/libsmokekde.so.*
%ruby_sitearchdir/korundum.so*
%ruby_sitelibdir/Korundum.*
%ruby_sitelibdir/KDE

%files -n ruby-korundum-doc
%docdir %korundum_docdir
%korundum_docdir/tutorials
%korundum_docdir/examples
%korundum_docdir/templates
%korundum_docdir/rbkconfig_compiler

%files -n kjsembed-devel
%_libdir/libkjsembed.so
%_includedir/kjsembed
%if %_keep_libtool_files
%_libdir/libkjsembed.la
%endif

%files -n kjsembed
%doc kjsembed/README kjsembed/TODO
%_bindir/embedjs
%_bindir/jsaccess
%_bindir/kjscmd

%_libdir/libkjsembed.so.*

%_Kmenudir/kjscmd.desktop
%_Kapplnk/Utilities/embedjs.desktop
%_Kapps/embedjs/embedjsui.rc
%_Kapps/kjsembed/cmdline.js

%_man1dir/kjscmd.*

%_iconsdir/*/*/apps/embedjs.png

# Plugins
%_libkde/lib*.so
%_libkde/lib*.la
%_Kservices/*.desktop
%_Kservicetypes/*.desktop

# Kate plugin
%_Kapps/kate/scripts/*

%changelog
* Wed Jul 01 2009 Sergey V Turchin <zerg@altlinux.org> 3.5.10-alt2
- fix to build with new automake
- rename ruby modules (ALT#16917)
- rebuild with ruby getopts removed (ALT#20651); thanx raorn@alt

* Tue Aug 26 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.10-alt1
- new version

* Tue Feb 26 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.9-alt1
- new version

* Wed Oct 17 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt1
- new version

* Wed Jul 04 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt2
- cleanup specfile

* Thu May 31 2007 Alexey Morozov <morozov@altlinux.org> 3.5.7-alt1
- new version (3.5.7)
- added few patches from kdebindings_3.5.7-1ubuntu2:
 * 028-make-cmdline.js-executable.diff (#22)
 * 029-ruby1.8-not-just-ruby.diff (#23)
 * 032_fix-kjscmd-manpage-typo (#24)
- updated and re-organized local patches. Now they are splitted more
  reasonably (##0-1 -> ##0-2) and renamed according their purposes

* Mon Feb 26 2007 Alexey Morozov <morozov@altlinux.org> 3.5.6-alt1
- New version (3.5.6)

* Mon Dec  4 2006 Alexey Morozov <morozov@altlinux.org> 3.5.5-alt1
- Initial build for ALT Linux


